Subject: Re: compile error with mysql 4.1.2-alpha
From: "Gerrit P. Haase" <[email-masked]>
To: cygwin <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Jun 2004 11:53:04 +0200

cygwin wrote:

> I downloaded mysql 4.0.20 source (not the win version). It fails to 
> compile with the following error:

> =========================================================================
> if gcc -DDEFAULT_BASEDIR=\"/usr/local\" -DDATADIR="\"/usr/local/var\""
> -DDEFAULT_CHARSET_HOME="\"/usr/local\"" 
> -DSHAREDIR="\"/usr/local/share/mysql\""
>   -DHAVE_CONFIG_H -I. -I. -I.. -I./../include -I../include -I.. -I. 
> -O3 -DDBUG_OFF   -MT my_thr_init.o -MD -MP -MF ".deps/my_thr_init.Tpo" \
>    -c -o my_thr_init.o `test -f 'my_thr_init.c' || echo 
> './'`my_thr_init.c; \
> then mv -f ".deps/my_thr_init.Tpo" ".deps/my_thr_init.Po"; \
> else rm -f ".deps/my_thr_init.Tpo"; exit 1; \
> fi
> my_thr_init.c: In function `my_thread_global_init':
> my_thr_init.c:72: error: `PTHREAD_MUTEX_ERRORCHECK_NP' undeclared (first
> use in this function)
> my_thr_init.c:72: error: (Each undeclared identifier is reported only once
> my_thr_init.c:72: error: for each function it appears in.)
> make[2]: *** [my_thr_init.o] Error 1
> make[2]: Leaving directory `/c/Documents and Settings/jeremy/My 
> Documents/My Downloads/tmp/mysql-4.0.20/mysys'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/c/Documents and Settings/jeremy/My 
> Documents/My Downloads/tmp/mysql-4.0.20'
> make: *** [all] Error 2
> =========================================================================

> What is going on here? I can find PTHREAD_MUTEX_ERRORCHECK_NP in the 
> linux pthread.h, but not cygwin.

I have a fix for this at my home box, I'll try to find it and post it.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/